/*===============
     new hero
================*/

.hero {
    display: flex;
    align-items: center;
    justify-content: space-around;
    padding: 160px 60px;
    gap: 40px;
}
/* 
.hero {
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    padding: 160px 60px;
    gap: 250px;
} */

.hero-left {
    max-width: 520px;
}

.hero-left h1 {
    font-size: 36px;
    margin-bottom: 20px;
    line-height: 1.2;
}

.hero-left p {
    font-size: 16px;
    line-height: 1.6;
    opacity: 0.85;
    margin-bottom: 30px;
}

.hero-btn {
    padding: 12px 28px;
    background: #bc1be7;
    color: #fff;
    border: none;
    border-radius: 6px;
    font-size: 15px;
    cursor: pointer;
    transition: 0.3s;
    text-decoration: none;
}

.hero-btn:hover {
    background: #a214cc;
}

.hero-right {
    display: flex;
    justify-content: center;
    align-items: center;
}

.hero-box {
    width: 100%;
    background: rgb(201, 191, 191);
    border-radius: 14px;
    box-shadow: 0 20px 40px rgba(0, 0, 0, 0.4);
}

.hero-box svg {
    width: 500px;
    height: 300px;

}

.hero-svg {
    cursor: pointer;
}

.draw-path {
    stroke-dasharray: 800;
    stroke-dashoffset: 800;
    animation: drawLine 3s ease-in-out infinite;
    transition: stroke 0.3s, stroke-width 0.3s;
}

@keyframes drawLine {
    0% {
        stroke-dashoffset: 800;
        opacity: 0.4;
    }

    50% {
        opacity: 1;
    }

    100% {
        stroke-dashoffset: 0;
        opacity: 0.4;
    }
}

.hero-svg:hover .draw-path {
    stroke: #080a0a;
    stroke-width: 4;
}

.svg-text {
    font-family: Arial, sans-serif;
    font-size: 18px;
    fill: blue;
    opacity: 0;
    animation: textFade 3s infinite;
}

/* =============== */
.card-wrapper {
    display: flex;
    gap: 20px;
    background: #f8f9fc;
    height: 130px;
    justify-content: space-evenly;
    padding: 20px;
}

.staky-card {
    position: relative;
    color: #000000;
}

.staky-card:hover {
    background-color: #d8e1ff;
}

.staky-card {
    background: #eee;
    width: 340px;
    padding: 14px 16px;
    border-radius: 12px;
    box-shadow: 0 8px 25px rgba(0, 0, 0, 0.15);
    transform: translateY(-80%);
}

.staky-card .name {
    font-weight: 600;
    margin-bottom: 4px;
}

.staky-card .desc {
    font-size: 14px;
    color: #555;
}



.t1 {
    animation-delay: 0.6s;
}

.t2 {
    animation-delay: 1.2s;
}

.t3 {
    animation-delay: 1.8s;
}

.t4 {
    animation-delay: 2.4s;
}

@keyframes textFade {
    0% {
        opacity: 0;
    }

    30% {
        opacity: 1;
    }

    80% {
        opacity: 1;
    }

    100% {
        opacity: 0;
    }
}

.hero-svg:hover .svg-text {
    fill: #000000;
}


@media (max-width: 768px) {
    .hero {
        flex-direction: column;
        padding: 65px 20px;
    }

    .hero-left h1 {
        font-size: 34px;
    }

}





@media (max-width:1279px) and (min-width:1023px) {

    .hero {
        display: flex;
        align-items: center;
        justify-content: space-around;
        padding: 50px 40px;
        gap: 40px;
        min-height: 90vh;
    }

    .hero-box svg {
        width: 275px !important;
        height: 247px !important;
    }
}


@media (max-width: 1000px) {

    .main-content {
        margin-left: 0;
        padding: 0px;
    }

    .hamburger {
        display: flex;
    }

    .hero {
        flex-direction: column;
        align-items: flex-start;
        padding: 40px 20px;
    }

    .hero-left {
        max-width: 100%;
        margin-top: 60px;
    }

    .hero-left h2 {
        font-size: 42px;
        margin-bottom: 20px;
    }

    .hero-right {
        width: 100%;
        margin-top: 30px;
        display: none;
    }

    .hero-box {
        height: 260px;
    }

    .staky-card {
        width: 100%;
        transform: translateY(0);
    }



    .hero-box svg {
        width: 100%;
    }

    .card-wrapper {
        flex-direction: column;
        height: auto;
        gap: 15px;
        padding: 20px;
    }
}







/* ===========================
project
=============================== */

/* .projects-section {
    padding: 80px 4%;
    background: var(--bg-color, #f8f9fc);
    color: var(--text-color, #282929);
}

.section-title {
    font-size: 2.5rem;
    font-weight: 700;
    margin-bottom: 10px;
}

.section-subtitle {
    margin-bottom: 50px;
}

.projects-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(280px, 1fr));
    gap: 30px;
}

.project-card {
    background: var(--bg-color, #fff);
    border-radius: 16px;
    overflow: hidden;
    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.08);
    transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.project-card:hover {
    transform: translateY(-10px);
    box-shadow: 0 18px 40px rgba(0, 0, 0, 0.12);
}

.project-img img {
    width: 100%;
    height: 200px;
}

.project-content {
    padding: 25px;
    text-align: left;
}

.project-content h2 {
    font-size: 1.4rem;
    margin-bottom: 10px;
}

.project-content p {
    font-size: 0.95rem;
    margin-bottom: 20px;
}

.project-btn {
    display: inline-block;
    padding: 10px 22px;
    background-color: var(--btn, linear-gradient(135deg, #6b11cbaa, #2574fcb7));
    text-decoration: none;
    border-radius: 25px;
    font-size: 0.9rem;
    transition: background 0.3s ease;
    color: #ccc;
    font-weight: 500;
}

.project-btn:hover {
    background: linear-gradient(135deg, #2575fc, #6a11cb);
}

.projects-container {
    display: flex;
    gap: 30px;
    overflow-x: auto;
    padding-bottom: 10px;
    scroll-behavior: smooth;
}

.projects-container::-webkit-scrollbar {
    height: 8px;
}

.projects-container::-webkit-scrollbar-thumb {
    background: #ccc;
    border-radius: 10px;
}

.project-card {
    min-width: 300px;
    flex-shrink: 0;
    width: 350px;
}

.live-card {
    position: relative;
    background: #eee;
}

.live {
    padding: 4px 14px;
    background: rgba(0, 255, 42, 0.53);
    position: absolute;
    top: -12px;
    left: 20px;
    z-index: 999;
    border-radius: 20px;
    font-size: 14px;
    font-weight: 600;
    color: #000000;
}

.panding {
    padding: 4px 14px;
    background-color: #ff74e7;
    position: absolute;
    top: -12px;
    left: 20px;
    z-index: 999;
    border-radius: 20px;
    font-size: 14px;
    font-weight: 600;
    color: #000000;
}





@media (max-width:1279px) and (min-width:1023px) {
    .section-subtitle {
        margin-bottom: 22px;
    }

    .project-content {
        padding: 16px;
        text-align: left;
    }

    .project-img img {
        width: 100%;
        height: 200px;
    }
}

@media (max-width: 1000px) {
    .projects-section {
        padding: 17px 20px;
    }

    .projects-container {
        gap: 20px;
    }

    .project-card {
        min-width: 280px;
    }

    .project-img {
        height: 130px;
    }

    .project-img img {
        height: 130px;
        height: 100%;
    }

    .section-title {
        font-size: 1.7rem;
        font-weight: 700;
        margin-bottom: 6px;
    }

    .project-content {
        padding: 8px;
        text-align: left;
    }

    .project-card {
        min-width: 300px;
        flex-shrink: 0;
        width: 300px;
    }

    .live {
        padding: 4px 14px;
        position: absolute;
        top: -128px;
        z-index: 999;
        border-radius: 20px;
        font-size: 14px;
        font-weight: 600;
    }

    .live {
        padding: 4px 14px;
        position: absolute;
        top: -128px;
        z-index: 999;
        border-radius: 20px;
        font-size: 14px;
        font-weight: 600;
    }

    .project-btn {
        padding: 6px 16px;
        border-radius: 25px;
        font-size: 0.7rem;
    }

    .project-content h2 {
        font-size: 1.1rem;
        margin-bottom: 10px;
    }

    .project-content p {
        font-size: 0.90rem;
        margin-bottom: 20px;
    }

} */